<?php



$tdatatb_varggf = array();
$tdatatb_varggf[".searchableFields"] = array();
$tdatatb_varggf[".ShortName"] = "tb_varggf";
$tdatatb_varggf[".OwnerID"] = "";
$tdatatb_varggf[".OriginalTable"] = "tb_varggf";


$tdatatb_varggf[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_varggf[".originalPagesByType"] = $tdatatb_varggf[".pagesByType"];
$tdatatb_varggf[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_varggf[".originalPages"] = $tdatatb_varggf[".pages"];
$tdatatb_varggf[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_varggf[".originalDefaultPages"] = $tdatatb_varggf[".defaultPages"];

//	field labels
$fieldLabelstb_varggf = array();
$fieldToolTipstb_varggf = array();
$pageTitlestb_varggf = array();
$placeHolderstb_varggf = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_varggf["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_varggf["Portuguese(Brazil)"] = array();
	$placeHolderstb_varggf["Portuguese(Brazil)"] = array();
	$pageTitlestb_varggf["Portuguese(Brazil)"] = array();
	$fieldLabelstb_varggf["Portuguese(Brazil)"]["varggfID"] = "Varggf ID";
	$fieldToolTipstb_varggf["Portuguese(Brazil)"]["varggfID"] = "";
	$placeHolderstb_varggf["Portuguese(Brazil)"]["varggfID"] = "";
	$fieldLabelstb_varggf["Portuguese(Brazil)"]["variavel"] = "Variavel";
	$fieldToolTipstb_varggf["Portuguese(Brazil)"]["variavel"] = "";
	$placeHolderstb_varggf["Portuguese(Brazil)"]["variavel"] = "";
	$fieldLabelstb_varggf["Portuguese(Brazil)"]["projecao"] = "Projecao";
	$fieldToolTipstb_varggf["Portuguese(Brazil)"]["projecao"] = "";
	$placeHolderstb_varggf["Portuguese(Brazil)"]["projecao"] = "";
	$fieldLabelstb_varggf["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipstb_varggf["Portuguese(Brazil)"]["data"] = "";
	$placeHolderstb_varggf["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelstb_varggf["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipstb_varggf["Portuguese(Brazil)"]["vigente"] = "";
	$placeHolderstb_varggf["Portuguese(Brazil)"]["vigente"] = "";
	if (count($fieldToolTipstb_varggf["Portuguese(Brazil)"]))
		$tdatatb_varggf[".isUseToolTips"] = true;
}


	$tdatatb_varggf[".NCSearch"] = true;


	$tdatatb_varggf[".scrollGridBody"] = true;

$tdatatb_varggf[".shortTableName"] = "tb_varggf";
$tdatatb_varggf[".nSecOptions"] = 0;

$tdatatb_varggf[".mainTableOwnerID"] = "";
$tdatatb_varggf[".entityType"] = 0;

$tdatatb_varggf[".strOriginalTableName"] = "tb_varggf";

	



$tdatatb_varggf[".showAddInPopup"] = false;

$tdatatb_varggf[".showEditInPopup"] = false;

$tdatatb_varggf[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_varggf[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_varggf[".listAjax"] = false;
//	temporary
$tdatatb_varggf[".listAjax"] = false;

	$tdatatb_varggf[".audit"] = false;

	$tdatatb_varggf[".locking"] = false;


$pages = $tdatatb_varggf[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_varggf[".edit"] = true;
	$tdatatb_varggf[".afterEditAction"] = 0;
	$tdatatb_varggf[".closePopupAfterEdit"] = 1;
	$tdatatb_varggf[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_varggf[".add"] = true;
$tdatatb_varggf[".afterAddAction"] = 0;
$tdatatb_varggf[".closePopupAfterAdd"] = 1;
$tdatatb_varggf[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_varggf[".list"] = true;
}



$tdatatb_varggf[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_varggf[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_varggf[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_varggf[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_varggf[".printFriendly"] = true;
}



$tdatatb_varggf[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_varggf[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_varggf[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_varggf[".isUseAjaxSuggest"] = true;

$tdatatb_varggf[".rowHighlite"] = true;





$tdatatb_varggf[".ajaxCodeSnippetAdded"] = false;

$tdatatb_varggf[".buttonsAdded"] = false;

$tdatatb_varggf[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_varggf[".isUseTimeForSearch"] = false;


$tdatatb_varggf[".badgeColor"] = "778899";


$tdatatb_varggf[".allSearchFields"] = array();
$tdatatb_varggf[".filterFields"] = array();
$tdatatb_varggf[".requiredSearchFields"] = array();

$tdatatb_varggf[".googleLikeFields"] = array();
$tdatatb_varggf[".googleLikeFields"][] = "varggfID";
$tdatatb_varggf[".googleLikeFields"][] = "variavel";
$tdatatb_varggf[".googleLikeFields"][] = "projecao";
$tdatatb_varggf[".googleLikeFields"][] = "data";
$tdatatb_varggf[".googleLikeFields"][] = "vigente";



$tdatatb_varggf[".tableType"] = "list";

$tdatatb_varggf[".printerPageOrientation"] = 0;
$tdatatb_varggf[".nPrinterPageScale"] = 100;

$tdatatb_varggf[".nPrinterSplitRecords"] = 40;

$tdatatb_varggf[".geocodingEnabled"] = false;










$tdatatb_varggf[".pageSize"] = 20;

$tdatatb_varggf[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_varggf[".strOrderBy"] = $tstrOrderBy;

$tdatatb_varggf[".orderindexes"] = array();

$tdatatb_varggf[".sqlHead"] = "SELECT varggfID,  	variavel,  	projecao,  	`data`,  	vigente";
$tdatatb_varggf[".sqlFrom"] = "FROM tb_varggf";
$tdatatb_varggf[".sqlWhereExpr"] = "";
$tdatatb_varggf[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_varggf[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_varggf[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_varggf[".highlightSearchResults"] = true;

$tableKeystb_varggf = array();
$tableKeystb_varggf[] = "varggfID";
$tdatatb_varggf[".Keys"] = $tableKeystb_varggf;


$tdatatb_varggf[".hideMobileList"] = array();




//	varggfID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "varggfID";
	$fdata["GoodName"] = "varggfID";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("tb_varggf","varggfID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "varggfID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "varggfID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_varggf["varggfID"] = $fdata;
		$tdatatb_varggf[".searchableFields"][] = "varggfID";
//	variavel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "variavel";
	$fdata["GoodName"] = "variavel";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("tb_varggf","variavel");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "variavel";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "variavel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_varggf["variavel"] = $fdata;
		$tdatatb_varggf[".searchableFields"][] = "variavel";
//	projecao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "projecao";
	$fdata["GoodName"] = "projecao";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("tb_varggf","projecao");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "projecao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "projecao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_varggf["projecao"] = $fdata;
		$tdatatb_varggf[".searchableFields"][] = "projecao";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("tb_varggf","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_varggf["data"] = $fdata;
		$tdatatb_varggf[".searchableFields"][] = "data";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_varggf";
	$fdata["Label"] = GetFieldLabel("tb_varggf","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_varggf["vigente"] = $fdata;
		$tdatatb_varggf[".searchableFields"][] = "vigente";


$tables_data["tb_varggf"]=&$tdatatb_varggf;
$field_labels["tb_varggf"] = &$fieldLabelstb_varggf;
$fieldToolTips["tb_varggf"] = &$fieldToolTipstb_varggf;
$placeHolders["tb_varggf"] = &$placeHolderstb_varggf;
$page_titles["tb_varggf"] = &$pageTitlestb_varggf;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_varggf"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_varggf"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_varggf()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "varggfID,  	variavel,  	projecao,  	`data`,  	vigente";
$proto0["m_strFrom"] = "FROM tb_varggf";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "varggfID",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "tb_varggf"
));

$proto6["m_sql"] = "varggfID";
$proto6["m_srcTableName"] = "tb_varggf";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "variavel",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "tb_varggf"
));

$proto8["m_sql"] = "variavel";
$proto8["m_srcTableName"] = "tb_varggf";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "projecao",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "tb_varggf"
));

$proto10["m_sql"] = "projecao";
$proto10["m_srcTableName"] = "tb_varggf";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "tb_varggf"
));

$proto12["m_sql"] = "`data`";
$proto12["m_srcTableName"] = "tb_varggf";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_varggf",
	"m_srcTableName" => "tb_varggf"
));

$proto14["m_sql"] = "vigente";
$proto14["m_srcTableName"] = "tb_varggf";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_varggf";
$proto17["m_srcTableName"] = "tb_varggf";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "varggfID";
$proto17["m_columns"][] = "variavel";
$proto17["m_columns"][] = "projecao";
$proto17["m_columns"][] = "data";
$proto17["m_columns"][] = "vigente";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_varggf";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_varggf";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_varggf";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_varggf = createSqlQuery_tb_varggf();


	
		;

					

$tdatatb_varggf[".sqlquery"] = $queryData_tb_varggf;

$tableEvents["tb_varggf"] = new eventsBase;
$tdatatb_varggf[".hasEvents"] = false;

?>